// preferences.js

// Retreives the path to the permanent kaizou files
function getKaizouPath(){
  try{
    // Define our preferences root
    var rootPref = "kaizou.";
    // Get an interface on our preferences branch
    var prefs = Components.classes["@mozilla.org/preferences-service;1"].
                  getService(Components.interfaces.nsIPrefService).
                  getBranch(rootPref);
    // Get the path to our kaizou description files
    var prefType = prefs.getPrefType("path");
    if (prefType == prefs.PREF_INVALID) {
      // Nothing has been defined yet
      var file = Components.classes["@mozilla.org/file/directory_service;1"]
                        .getService(Components.interfaces.nsIProperties)
                        .get("ProfD", Components.interfaces.nsIFile);
      // Define the default Kaizou path
      file.append("kaizou");
      // Set default Kaizou path
      prefs.setCharPref("path",file.path);
      return file.path    
    }else{
      return prefs.getCharPref("path");
    } 
  }
  catch(e){
    alert(e);
  }
}
